Subject: bug#38476: 27.0.50; substring completion feature request

From: Stephen Berman <[email-masked]>
Date: Tue, 03 Dec 2019 20:32:55 +0100

The placement of point in substring completion is sometimes suboptimal.
E.g. if there two files (or buffers) file1test and file2test and you
enter `fi TAB' then it completes to `file' with point after the `e',
which is fine for further input; but if you enter `te TAB' then it
completes to `test' with point after the second `t', so you have to move
point to complete the name.  It would be nice if in such cases point
were placed at the start rather than the end of the partial match.

Steve Berman